Subject: diff 3.6 still reports a diff on identical lines

From: Vincent Lefevre <[email-masked]>
Date: Thu, 12 Oct 2017 14:51:53 +0200

On some pair of files, "diff" reports a diff on identical lines.

I reported

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16848

against diff 3.3 a few years ago, but diff 3.6 (under Debian/unstable,
x86_64) has a similar problem. See the attached archive.

"out.diff", generated with "diff -u out1 out2", has at line 12622:

@@ -241913,9 +241895,9 @@
 3
 4
 5
-L: 409
-L: 409
-2
+L: 361
+L: 361
+2
 1
 2
 4

And if I run "diff -u -I L out1 out2", I also get the above chunk,
while it shouldn't appear.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)